Index: branches/0.4/web/addons/job_monarch/graph.php
===================================================================
--- branches/0.4/web/addons/job_monarch/graph.php	(revision 713)
+++ branches/0.4/web/addons/job_monarch/graph.php	(revision 714)
@@ -32,12 +32,5 @@
 }
 
-//printf( "st%s\n", $st);
 $sourcetime = $st;
-//printf( "st%s\n", $sourcetime);
-
-//printf( "%s\n", $rrds );
-//printf( "r%s\n", $range);
-//printf( "s %s\n", $start);
-//printf( "e %s\n", $end);
 
 # Graph specific variables
@@ -51,5 +44,4 @@
 $load_color = escapeshellcmd( rawurldecode( $HTTP_GET_VARS["l"] ));
 $vlabel = escapeshellcmd( rawurldecode( $HTTP_GET_VARS["vl"] ));
-//$sourcetime = escapeshellcmd($HTTP_GET_VARS["st"]);
 
 $cluster = $c;
@@ -73,10 +65,5 @@
 }
 
-//printf( "cluster = %s hostname = %s metric = %s\n", $cluster, $hostname, $metricname );
-
 $trd = new TarchRrdGraph( $cluster, $hostname );
-//$rrd_files = $trd->getRrdFiles( $metricname, $start, $stop );
-
-//print_r( $rrd_files );
 
 $graph = $metricname;
@@ -92,5 +79,4 @@
 
 		$style = "CPU";
-		//printf("ik doe die shit!\n");
 
 		$upper_limit = "--upper-limit 100 --rigid";
@@ -140,5 +126,4 @@
 		$style = "Jobs";
 
-		//$upper_limit = "--upper-limit 100 --rigid";
 		$lower_limit = "--lower-limit 0 --rigid";
 		$vertical_label = "--vertical-label Jobs";
@@ -164,8 +149,4 @@
 		$sorted_hosts	= array();
 		$sorted_hosts[]	= $rjqj_host;
-
-		//printf( "rjqjh %s\n", $rjqj_host);
-
-		//printf( "rrdd %s\n", $rrd_dir );
 
 		$rj_str = ":'Running Jobs'";
@@ -339,10 +320,4 @@
 		}
 
-		//if ($range=="job") {
-		//	$hrs = intval( -$jobrange / 3600 );
-		//	$subtitle = "$prefix last ${hrs}h (now $value)";
-		//} else
-		//	$subtitle = "$prefix last $range (now $value)";
-
 		if (is_numeric($max))
 			$upper_limit = "--upper-limit '$max' ";
@@ -387,28 +362,5 @@
 }
 
-//$title = "$hostname $style $metricname";
 $title = "$hostname";
-
-//# Set the graph title.
-//if($context == "meta") {
-//	$title = "$self $meta_designator $style last $range";
-//} else if ($context == "grid") {
-//	$title = "$grid $meta_designator $style last $range";
-//} else if ($context == "cluster") {
-//	$title = "$clustername $style last $range";
-//} else {
-//	if ($size == "small") {
-//		# Value for this graph define a background color.
-//		if (!$load_color) $load_color = "ffffff";
-//			$background = "--color BACK#'$load_color'";
-
-//		$title = $hostname;
-//	} else {
-//		if ($style)
-//			$title = "$hostname $style last $range";
-//		else
-//			$title = $metricname;
-//	}
-//}
 
 function determineXGrid( $p_start, $p_stop ) {
@@ -496,6 +448,4 @@
 if( isset($sourcetime) )
 {
-	//printf("yay");
-
 	$end = $sourcetime;
 	# Get_context makes start negative.
Index: branches/0.4/web/addons/job_monarch/image.php
===================================================================
--- branches/0.4/web/addons/job_monarch/image.php	(revision 713)
+++ branches/0.4/web/addons/job_monarch/image.php	(revision 714)
@@ -45,5 +45,4 @@
 		$myxml_data     = $ds->getData();
 
-		//print_f( "%s\n", $myxml_data );
 	}
 	return $myxml_data;
@@ -55,5 +54,4 @@
 $clustername = $httpvars->getClusterName();
 
-//printf("clustername = %s\n", $clustername );
 if( isset($id) && ($id!='')) $filter['id']=$id;
 if( isset($state) && ($state!='')) $filter['state']=$state;
@@ -112,5 +110,4 @@
 	if( isset( $filter ) ) {
 		foreach( $filter as $filtername=>$filtervalue ) {
-			//printf("filter %s,%s\n", $filtername, $filtervalue);
 			switch( $filtername ) {
 
Index: branches/0.4/web/addons/job_monarch/index.php
===================================================================
--- branches/0.4/web/addons/job_monarch/index.php	(revision 713)
+++ branches/0.4/web/addons/job_monarch/index.php	(revision 714)
@@ -37,11 +37,8 @@
 }
 
-//printf( "r2%s\n", $range );
 
 global $GANGLIA_PATH;
-//chdir( $GANGLIA_PATH );
 
 include_once "./class.TemplatePower.inc.php";
-//chdir( $my_dir );
 
 $httpvars = new HTTPVariables( $HTTP_GET_VARS, $_GET );
@@ -86,9 +83,4 @@
 	}
 }
-
-//if( isset($queue) && ($queue!='')) $filter[queue]=$queue;
-//if( isset($state) && ($state!='')) $filter[state]=$state;
-//if( isset($user) && ($user!='')) $filter[user]=$user;
-//if( isset($id) && ($id!='')) $filter[id]=$id;
 
 function epochToDatetime( $epoch ) {
@@ -165,6 +157,4 @@
 
 	$tpl->assign( "date", date("r") );
-	//printf("lg %s\n", $longtitle );
-	//printf("title %s\n", $title );
 	$tpl->assign( "longpage_title", $longtitle );
 	$tpl->assign( "page_title", $title );
@@ -228,5 +218,4 @@
 	$context_metrics	= array();
 
-	//foreach ($mmfh as $mm => $mfoo)
 	foreach( $mmfh as $mm => $bla )
 	{
@@ -286,7 +275,4 @@
 	}
 
-	//$m = $metricname;
-
-
 	$tpl->gotoBlock( "_ROOT" );
 	$tpl->assignGlobal("view", $view);
@@ -296,6 +282,4 @@
 
 		$range = "job";
-
-		//print_r( $context_metrics );
 
 		if( $page_call != "host_view" )
@@ -342,6 +326,4 @@
 	}
 
-	//$ex_fn = $tpl->getVarValue( "_ROOT", "form_name" );
-
 	if( $view != "search" )
 	{
@@ -439,5 +421,4 @@
 if( isset( $h ) and $h != '' ) {
 	$hostname = $h;
-	//$view = "host";
 }
 
@@ -470,5 +451,4 @@
 $longtitle = "Batch Report :: Powered by Job Monarch!";
 $title = "Batch Report";
-//makeHeader( 'index' );
 $tpl->assign("cluster_url", rawurlencode($clustername) );
 $tpl->assign("cluster", $clustername );
Index: branches/0.4/web/addons/job_monarch/overview.php
===================================================================
--- branches/0.4/web/addons/job_monarch/overview.php	(revision 713)
+++ branches/0.4/web/addons/job_monarch/overview.php	(revision 714)
@@ -75,7 +75,4 @@
 	$tpl->assign( "clusterimage", "./image.php?". session_name() . "=" . session_id() ."&c=".rawurlencode($clustername)."&j_view=big-clusterimage".$filter_image_url );
 
-	//$tpl->assign( "clusterimage_width", $ic->getWidth() );
-	//$tpl->assign( "clusterimage_height", $ic->getHeight() );
-
 	$tpl->newBlock( "node_clustermap" );
 	$tpl->assign( "node_area_map", $ic->getImagemapArea() );
@@ -271,5 +268,4 @@
 	$used_cpus		= $nr_cpus - $empty_cpus;
 
-	//$empty_percentage 	= ($empty_cpus / $nr_cpus) * 100;
 	$empty_percentage 	= $empty_cpus;
 
@@ -380,20 +376,6 @@
 	}
 
-	//$percentage	= 0;
-	//$slice_count	= 0;
-
-	// Find rounding errors: total has to be 100
-	//
-	//foreach( $graphvals as $name => $totalweight) 
-	//{
-	//	$percentage 	= $percentage + $totalweight;
-	//	$slice_count	= $slice_count + 1;
-	//}
-
-	//$round_offset	= ( 100 - $percentage ) / $slice_count;
-
 	foreach( $graphvals as $name => $totalweight) 
 	{
-		//$percentage 	= ( $totalweight * 100 ) + $round_offset;
 		$percentage 	= $totalweight;
 		
@@ -674,6 +656,4 @@
 					if( isset( $hostname ) && $hostname != '' ) 
 					{
-						//$filter[host] = $hostname;
-
 						$domain_len 	= 0 - strlen( $jobs[$jobid]['domain'] );
 						$hostnode 	= $tempnode;
@@ -880,5 +860,4 @@
 				{
 					$runningtime 		= makeTime( $report_time - $start_time );
-					//$job_runningtime	= $report_time - $start_time;
 					$job_runningtime	= $heartbeat - $start_time;
 
@@ -955,6 +934,4 @@
 	}
 
-	//print_r( $metrics );
-
 	global $longtitle, $title;
 
@@ -1011,15 +988,8 @@
 			$hosts_up 	= $jobs[$filter['id']]['nodes'];
 
-			//printf( "r %s\n", $job_runningtime );
-
 			$r 		= intval($job_runningtime * 1.2);
 
-			//$jobrange 	= ($job_runningtime < 3600) ? -3600 : -$r ;
 			$jobrange 	= -$r ;
-			//$jobstart 	= $report_time - $job_runningtime;
 			$jobstart 	= $start_time;
-
-			//printf( "jr %s\n", $jobrange );
-			//printf( "js %s\n", $jobstart);
 
 			if ( $reports[$metricname] )