Index: branches/0.4/web/addons/job_monarch/image.php
===================================================================
--- branches/0.4/web/addons/job_monarch/image.php	(revision 717)
+++ branches/0.4/web/addons/job_monarch/image.php	(revision 718)
@@ -31,20 +31,20 @@
 function checkSessionData() {
 
-	global $_SESSION;
+    global $_SESSION;
 
-	session_start();
+    session_start();
 
-	if( isset( $_SESSION["data"] ) ) {
-		$myxml_data	= &$_SESSION["data"];
-	} else {
-		$myxml_data	= 0;
-	}
+    if( isset( $_SESSION["data"] ) ) {
+        $myxml_data    = &$_SESSION["data"];
+    } else {
+        $myxml_data    = 0;
+    }
 
-	if( !$myxml_data ) {
-		$ds             = new DataSource();
-		$myxml_data     = $ds->getData();
+    if( !$myxml_data ) {
+        $ds             = new DataSource();
+        $myxml_data     = $ds->getData();
 
-	}
-	return $myxml_data;
+    }
+    return $myxml_data;
 }
 
@@ -61,98 +61,98 @@
 function drawHostImage() {
 
-	global $clustername, $hostname, $data_gatherer;
+    global $clustername, $hostname, $data_gatherer;
 
-	$ds             = new DataSource();
-	$myxml_data     = $ds->getData();
+    $ds             = new DataSource();
+    $myxml_data     = $ds->getData();
 
-	$data_gatherer	= new DataGatherer( $clustername );
+    $data_gatherer    = new DataGatherer( $clustername );
 
-	$data_gatherer->parseXML( $myxml_data );
+    $data_gatherer->parseXML( $myxml_data );
 
-	if( $data_gatherer->isJobmonRunning() )
-		$ic = new HostImage( $data_gatherer, $clustername, $hostname );
-	else
-		$ic = new EmptyImage();
+    if( $data_gatherer->isJobmonRunning() )
+        $ic = new HostImage( $data_gatherer, $clustername, $hostname );
+    else
+        $ic = new EmptyImage();
 
-	$ic->draw();
+    $ic->draw();
 }
 
 function drawSmallClusterImage() {
 
-	global $clustername, $data_gatherer;
+    global $clustername, $data_gatherer;
 
-	$ds             = new DataSource();
-	$myxml_data     = $ds->getData();
+    $ds             = new DataSource();
+    $myxml_data     = $ds->getData();
 
-	$data_gatherer	= new DataGatherer( $clustername );
+    $data_gatherer    = new DataGatherer( $clustername );
 
-	$data_gatherer->parseXML( $myxml_data );
+    $data_gatherer->parseXML( $myxml_data );
 
-	if( $data_gatherer->isJobmonRunning() ) {
-		$ic = new ClusterImage( $myxml_data, $clustername );
-		$ic->setSmall();
-	} else {
-		$ic = new EmptyImage();
-	}
+    if( $data_gatherer->isJobmonRunning() ) {
+        $ic = new ClusterImage( $myxml_data, $clustername );
+        $ic->setSmall();
+    } else {
+        $ic = new EmptyImage();
+    }
 
-	$ic->draw();
+    $ic->draw();
 }
 
 function drawBigClusterImage() {
 
-	global $filter, $clustername;
+    global $filter, $clustername;
 
-	$myxml_data	= checkSessionData();
+    $myxml_data    = checkSessionData();
 
-	$ic = new ClusterImage( $myxml_data, $clustername );
-	$ic->setBig();
+    $ic = new ClusterImage( $myxml_data, $clustername );
+    $ic->setBig();
 
-	if( isset( $filter ) ) {
-		foreach( $filter as $filtername=>$filtervalue ) {
-			switch( $filtername ) {
+    if( isset( $filter ) ) {
+        foreach( $filter as $filtername=>$filtervalue ) {
+            switch( $filtername ) {
 
-				case "id":
-					$ic->setFilter( 'jobid', $filtervalue );
-					break;
-				case "owner":
-					$ic->setFilter( 'owner', $filtervalue);
-					break;
-				case "queue":
-					$ic->setFilter( 'queue', $filtervalue);
-					break;
-				case "state":
-					$ic->setFilter( 'status', $filtervalue);
-					break;
-				default:
-					break;
-			}
-		}
-	}
-	$ic->draw();
+                case "id":
+                    $ic->setFilter( 'jobid', $filtervalue );
+                    break;
+                case "owner":
+                    $ic->setFilter( 'owner', $filtervalue);
+                    break;
+                case "queue":
+                    $ic->setFilter( 'queue', $filtervalue);
+                    break;
+                case "state":
+                    $ic->setFilter( 'status', $filtervalue);
+                    break;
+                default:
+                    break;
+            }
+        }
+    }
+    $ic->draw();
 }
 
 switch( $view ) {
 
-	case "small-clusterimage":
+    case "small-clusterimage":
 
-		drawSmallClusterImage();
-		
-		break;
+        drawSmallClusterImage();
+        
+        break;
 
-	case "big-clusterimage":
+    case "big-clusterimage":
 
-		drawBigClusterImage();
-	
-		break;
+        drawBigClusterImage();
+    
+        break;
 
-	case "hostimage":
+    case "hostimage":
 
-		drawHostImage();
-	
-		break;
+        drawHostImage();
+    
+        break;
 
-	default:
+    default:
 
-		break;
+        break;
 }
 