Index: /branches/0.4/web/addons/job_monarch/graph.php
===================================================================
--- /branches/0.4/web/addons/job_monarch/graph.php	(revision 735)
+++ /branches/0.4/web/addons/job_monarch/graph.php	(revision 736)
@@ -23,5 +23,5 @@
  */
 
-global $metrics, $rrds, $range, $start, $r, $conf;
+global $metrics, $rrds, $range, $start, $r, $conf, $m;
 $range = $r;
 
@@ -79,6 +79,4 @@
 }
 
-$trd = new TarchRrdGraph( $cluster, $hostname );
-
 $graph = $metricname;
 
@@ -96,4 +94,5 @@
         else
         {
+            $trd = new TarchRrdGraph( $cluster, $hostname );
             $rrd_dirs = $trd->getRrdDirs( $period_start, $period_stop );
         }
@@ -370,5 +369,5 @@
 
         $subtitle = $metricname;
-        if ($context == "host") 
+        if($context == "host")
         {
             if ($size == "small")
Index: /branches/0.4/web/addons/job_monarch/host_view.php
===================================================================
--- /branches/0.4/web/addons/job_monarch/host_view.php	(revision 735)
+++ /branches/0.4/web/addons/job_monarch/host_view.php	(revision 736)
@@ -61,13 +61,14 @@
 
     $rrdirs = array();
+
     if( $view == "overview-host" )
+    {
+        $rrdirs[] = $conf['rrds'] . '/' . $clustername .'/'. $hostname;
+    }
+    else
     {
         $trd    = new TarchRrdGraph( $clustername, $hostname );
         $rrdirs = $trd->getRrdDirs( $period_start, $period_stop );
     }
-    else
-    {
-        $rrdirs[] = $conf['rrds'] . '/' . $cluster .'/'. $hostname;
-    }
 
     $longtitle    = "Batch Archive Node Report :: Powered by Job Monarch!";
@@ -76,4 +77,6 @@
     makeHeader( 'host_view', $title, $longtitle );
 
+    #print_r( $rrdirs);
+
     $metrics = $metrics[$hostname];
     $mymetrics = array();
@@ -81,15 +84,25 @@
     foreach( $rrdirs as $rrdir ) 
     {
-        $ml    = $trd->dirList( $rrdir );
-
-        foreach( $ml as $lmetr )
-        {
-            $metrn_fields    = explode( '.', $lmetr );
-
-            $metrn        = $metrn_fields[0];
-
-            if( !in_array( $metrn, $mymetrics ) )
-            {
-                $mymetrics[$metrn]    = $metrics[$metrn];
+        #printf("rrd dir %s\n", $rrdir );
+        if( $view == "overview-host" )
+        {
+            $mymetrics = $metrics;
+            #print_r( $mymetrics );
+        }
+        else
+        {
+            #printf("archive mode\n");
+            $ml    = $trd->dirList( $rrdir );
+
+            foreach( $ml as $lmetr )
+            {
+                $metrn_fields = explode( '.', $lmetr );
+
+                $metrn        = $metrn_fields[0];
+
+                if( !in_array( $metrn, $mymetrics ) )
+                {
+                    $mymetrics[$metrn]    = $metrics[$metrn];
+                }
             }
         }
@@ -127,4 +140,6 @@
     $tpl->assign("ip", $hosts_up[IP]);
 
+    #print_r( $mymetrics );
+
     foreach ($mymetrics as $name => $v)
     {
@@ -134,5 +149,5 @@
             if ($v[SOURCE] == "gmond") $s_metrics[$name] = $v;
         }
-        elseif ($v[SLOPE] == "zero" or $always_constant[$name])
+        else if ($v[SLOPE] == "zero" or $always_constant[$name])
         {
             $c_metrics[$name] = $v;
@@ -145,5 +160,5 @@
         {
             $graphargs = "c=$cluster_url&h=$hostname&m=$name"
-               ."&z=medium&job_start=$job_start&job_stop=$job_stop&period_start=$period_start&period_stop=$period_stop";
+               ."&z=overview-medium&job_start=$job_start&job_stop=$job_stop&period_start=$period_start&period_stop=$period_stop";
             # Adding units to graph 2003 by Jason Smith <smithj4@bnl.gov>.
             if ($v[UNITS]) 
Index: /branches/0.4/web/addons/job_monarch/index.php
===================================================================
--- /branches/0.4/web/addons/job_monarch/index.php	(revision 735)
+++ /branches/0.4/web/addons/job_monarch/index.php	(revision 736)
@@ -386,5 +386,5 @@
     }
 
-    if( $view == "search" or $view == "host" or $view == "overview-host") 
+    if( $view == "search" or $view == "host" ) 
     {
 