Index: anches/0.4/web/addons/job_monarch/dwoo/compiled/classpath.cache.d17.php
===================================================================
--- /branches/0.4/web/addons/job_monarch/dwoo/compiled/classpath.cache.d17.php	(revision 755)
+++ 	(revision )
@@ -1,1 +1,0 @@
-a:64:{s:1:"a";s:97:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/blocks/a.php";s:11:"auto_escape";s:107:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/blocks/auto_escape.php";s:5:"block";s:101:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/blocks/block.php";s:7:"capture";s:103:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/blocks/capture.php";s:7:"dynamic";s:103:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/blocks/dynamic.php";s:4:"else";s:100:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/blocks/else.php";s:6:"elseif";s:102:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/blocks/elseif.php";s:3:"for";s:99:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/blocks/for.php";s:7:"foreach";s:103:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/blocks/foreach.php";s:11:"foreachelse";s:107:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/blocks/foreachelse.php";s:7:"forelse";s:103:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/blocks/forelse.php";s:2:"if";s:98:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/blocks/if.php";s:4:"loop";s:100:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/blocks/loop.php";s:7:"section";s:103:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/blocks/section.php";s:15:"smartyinterface";s:111:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/blocks/smartyinterface.php";s:5:"strip";s:101:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/blocks/strip.php";s:8:"template";s:104:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/blocks/template.php";s:10:"textformat";s:106:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/blocks/textformat.php";s:13:"topLevelBlock";s:109:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/blocks/topLevelBlock.php";s:4:"with";s:100:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/blocks/with.php";s:8:"withelse";s:104:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/blocks/withelse.php";s:11:"html_format";s:108:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/filters/html_format.php";s:6:"assign";s:105:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/assign.php";s:10:"capitalize";s:109:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/capitalize.php";s:3:"cat";s:102:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/cat.php";s:16:"count_characters";s:115:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/count_characters.php";s:16:"count_paragraphs";s:115:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/count_paragraphs.php";s:15:"count_sentences";s:114:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/count_sentences.php";s:11:"count_words";s:110:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/count_words.php";s:7:"counter";s:106:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/counter.php";s:5:"cycle";s:104:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/cycle.php";s:11:"date_format";s:110:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/date_format.php";s:7:"default";s:106:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/default.php";s:4:"dump";s:103:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/dump.php";s:3:"eol";s:102:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/eol.php";s:6:"escape";s:105:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/escape.php";s:4:"eval";s:103:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/eval.php";s:7:"extends";s:106:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/extends.php";s:12:"extendsCheck";s:111:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/extendsCheck.php";s:5:"fetch";s:104:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/fetch.php";s:7:"include";s:106:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/include.php";s:6:"indent";s:105:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/indent.php";s:5:"isset";s:104:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/isset.php";s:14:"load_templates";s:113:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/load_templates.php";s:5:"lower";s:104:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/lower.php";s:6:"mailto";s:105:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/mailto.php";s:4:"math";s:103:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/math.php";s:5:"nl2br";s:104:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/nl2br.php";s:8:"optional";s:107:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/optional.php";s:13:"regex_replace";s:112:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/regex_replace.php";s:7:"replace";s:106:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/replace.php";s:6:"return";s:105:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/return.php";s:7:"reverse";s:106:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/reverse.php";s:4:"safe";s:103:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/safe.php";s:7:"spacify";s:106:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/spacify.php";s:13:"string_format";s:112:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/string_format.php";s:10:"strip_tags";s:109:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/strip_tags.php";s:3:"tif";s:102:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/tif.php";s:8:"truncate";s:107:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/truncate.php";s:5:"upper";s:104:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/upper.php";s:10:"whitespace";s:109:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/whitespace.php";s:8:"wordwrap";s:107:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/functions/wordwrap.php";s:5:"array";s:101:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/helper.array.php";s:13:"smarty_compat";s:117:"/var/tmp/wax/src/jobmonarch/branches/0.4/web/addons/job_monarch/dwoo/plugins/builtin/processors/pre.smarty_compat.php";}
Index: anches/0.4/web/addons/job_monarch/dwoo/compiled/fairshare_pie.php.d17.php
===================================================================
--- /branches/0.4/web/addons/job_monarch/dwoo/compiled/fairshare_pie.php.d17.php	(revision 755)
+++ 	(revision )
@@ -1,190 +1,0 @@
-<?php
-/* template head */
-/* end template head */ ob_start(); /* template body */ ?><?php
-
-function colorRed( $color ) {
-        return substr( $color, 0, 2 );
-}
-function colorGreen( $color ) {
-        return substr( $color, 2, 2 );
-}
-function colorBlue( $color ) {
-        return substr( $color, 4, 2 );
-}
-
-function colorDiffer( $first, $second ) {
-
-        // Make sure these two colors differ atleast 50 R/G/B
-        $min_diff = 50;
-
-        $c1r = hexDec( colorRed( $first ) );
-        $c1g = hexDec( colorGreen( $first ) );
-        $c1b = hexDec( colorBlue( $first ) );
-
-        $c2r = hexDec( colorRed( $second ) );
-        $c2g = hexDec( colorGreen( $second ) );
-        $c2b = hexDec( colorBlue( $second ) );
-
-        $rdiff = ($c1r >= $c2r) ? $c1r - $c2r : $c2r - $c1r;
-        $gdiff = ($c1g >= $c2g) ? $c1g - $c2g : $c2g - $c1g;
-        $bdiff = ($c1b >= $c2b) ? $c1b - $c2b : $c2b - $c1b;
-
-        if( $rdiff >= $min_diff or $gdiff >= $min_diff or $bdiff >= $min_diff )
-                return TRUE;
-        else
-                return FALSE;
-}
-
-function randomColor( $known_colors ) {
-
-        $start = "004E00";
-
-        $start_red = colorRed( $start );
-        $start_green = colorGreen( $start );
-        $start_blue = colorBlue( $start );
-
-        $end = "FFFFFF";
-
-        $end_red = colorRed( $end );
-        $end_green = colorGreen( $end );
-        $end_blue = colorBlue( $end );
-
-        $change_color = TRUE;
-
-        while( $change_color ) {
-
-                $change_color = FALSE;
-
-                $new_red = rand( hexDec( $start_red ), hexDec( $end_red ) );
-                $new_green = rand( hexDec( $start_green ), hexDec( $end_green ) );
-                $new_blue = rand( hexDec( $start_blue ), hexDec( $end_blue ) );
-
-                $new = sprintf("%02s", decHex( $new_red ) ) . sprintf("%02s", decHex( $new_green ) ) . sprintf("%02s", decHex( $new_blue ) );
-
-                foreach( $known_colors as $old )
-
-                        if( !colorDiffer( $new, $old ) )
-
-                                $change_color = TRUE;
-        }
-
-        // Whoa! Actually found a good color ;)
-        return $new;
-}
-
-if( !isset($_GET) )
-{
-  $_GET = array();
-}
-
-unset( $_GET['m'] );
-unset( $_GET['mc'] );
-unset( $_GET['hc'] );
-unset( $_GET['r'] );
-unset( $_GET['s'] );
-unset( $_GET['c'] );
-unset( $metricname );
-unset( $metric );
-
-$_GET['h'] = "batch1.irc.sara.nl";
-$_GET['c'] = "LISA Cluster";
-
-$monitor = FALSE;
-$size="250x150";
-
-if(isset($_GET['monitor']))
-{
-	$monitor = TRUE;
-	$size="500x500";
-}
-
-
-unset($context);
-global $context;
-$context = "host";
-
-//global $debug;
-//$debug = 0;
-unset( $metrics );
-global $metrics;
-
-include_once "./eval_conf.php";
-include_once "./functions.php";
-
-$base_dir = "/data/ganglia-web-current";
-require $base_dir . "/conf_default.php";
-
-# Include user-defined overrides if they exist.
-if( file_exists( $base_dir . "/conf.php" ) ) {
-  include $base_dir . "/conf.php";
-}
-
-include_once "./get_context.php";
-include_once "./ganglia.php";
-
-include_once "./get_ganglia.php";
-
-$clustername = "LISA Cluster";
-$hostname = "batch1.irc.sara.nl";
-Gmetad($conf['ganglia_ip'], $conf['ganglia_port']);
-
-$fairshare_reporter_host = "batch1.irc.sara.nl";
-
-$rrd_dir = $conf['rrds'] . "/" . $clustername . "/" . $fairshare_reporter_host;
-
-foreach( $metrics as $m_name => $m_details )
-{
-	if (preg_match("/maui_fs_([a-z]+)/i", $m_name, $matches))
-        {
-		if( strpos( $m_name, "_current" ) !== FALSE )
-		{
-			$name_fields = explode( "maui_fs_", $m_name);
-			$name2_fields = explode( "_current", $name_fields[1]);
-			$short_name = $name2_fields[0];
-
-                        $real_value = $metrics[$m_name]['VAL'];
-
-			if( $real_value > 1.00 )
-			{
-				$fs[$short_name] = $real_value;
-			}
-		}
-        }
-}
-
-$pie_args = '';
-
-$colors = array();
-
-$pie_args = "title=" . rawurlencode("Cluster Fairshare Percentages");
-$pie_args .= "&size=". $size;
-
-foreach( $fs as $fs_name => $fs_val )
-{
-    // Show pie chart of loads
-
-    $color = randomColor( $colors );
-    $colors[] = $color;
-
-    $n = $percent_hosts[$color];
-    $name_url = rawurlencode($fs_name);
-    $pie_args .= "&$name_url=$fs_val,$color";
-}
-
-if( !$monitor )
-{
-	echo "<img src=\"pie.php?";
-	echo "$pie_args";
-	echo "\" >";
-}
-else
-{
-	$url = 'https://'. $_SERVER['HTTP_HOST'] . '/pie.php?'.$pie_args;
-	$image_output = file_get_contents( $url );
-	header('Content-Type: image/png');
-	echo( $image_output );
-}
-?>
-<?php  /* end template body */
-return $this->buffer . ob_get_clean();
-?>