Index: branches/0.4/web/addons/job_monarch/graph.php
===================================================================
--- branches/0.4/web/addons/job_monarch/graph.php	(revision 757)
+++ branches/0.4/web/addons/job_monarch/graph.php	(revision 758)
@@ -58,4 +58,5 @@
 $load_color = escapeshellcmd( rawurldecode( $_GET["l"] ));
 $vlabel = escapeshellcmd( rawurldecode( $_GET["vl"] ));
+$j_title = escapeshellcmd( rawurldecode( $_GET["t"] ));
 
 $cluster = $c;
@@ -440,5 +441,12 @@
 }
 
-$title = "$hostname";
+if ($graph == "job_report")
+{
+    $title = "Last: $j_title";
+}
+else
+{
+    $title = "$hostname";
+}
 
 function determineXGrid( $p_start, $p_stop ) 
Index: branches/0.4/web/addons/job_monarch/index.php
===================================================================
--- branches/0.4/web/addons/job_monarch/index.php	(revision 757)
+++ branches/0.4/web/addons/job_monarch/index.php	(revision 758)
@@ -120,5 +120,5 @@
     global $JOB_ARCHIVE, $period_start, $period_stop, $h, $id;
     global $job_start, $job_stop, $range, $r, $metricname;
-    global $conf;
+    global $conf, $show_hosts;
     try
        {
@@ -182,11 +182,5 @@
 
     $tpl = new Dwoo_Template_File("templates/header.tpl");
-    echo $tpl;
     $tpl_data = new Dwoo_Data();
-
-    if( $view != "search" )
-    {
-        $tpl_data->assign( "refresh", $default_refresh );
-    }
 
     $tpl_data->assign( "date", date("r") );
@@ -375,25 +369,33 @@
     }
 
-    if( $view != "search" )
-    {
-        $context_ranges[]="hour";
-        $context_ranges[]="day";
-        $context_ranges[]="week";
-        $context_ranges[]="month";
-        $context_ranges[]="year";
-        $context_ranges[]="job";
-
-        $range_menu = "<B>Last</B>&nbsp;&nbsp;" ."<SELECT NAME=\"r\" OnChange=\"toga_form.submit();\">\n";
-        foreach ($context_ranges as $v) 
-        {
-            $url=rawurlencode($v);
-            $range_menu .= "<OPTION VALUE=\"$url\" ";
-            if ($v == $range)
-                $range_menu .= "SELECTED";
-            $range_menu .= ">$v\n";
+    if( array_key_exists( "id", $filter ) or isset($hostname) ) 
+    {
+
+        #$range = "job";
+
+        if( ( $page_call != "host_view" ) && ( $view != "search" ) )
+        {
+            $context_ranges[]="hour";
+            $context_ranges[]="day";
+            $context_ranges[]="week";
+            $context_ranges[]="month";
+            $context_ranges[]="year";
+            $context_ranges[]="job";
+
+            $range_menu = "<B>Last</B>&nbsp;&nbsp;" ."<SELECT NAME=\"r\" OnChange=\"toga_form.submit();\">\n";
+            foreach ($context_ranges as $v) 
+            {
+                $url=rawurlencode($v);
+                $range_menu .= "<OPTION VALUE=\"$url\" ";
+                if ($v == $range)
+                {
+                    $range_menu .= "SELECTED";
+                }
+                $range_menu .= ">$v\n";
+            }
+            $range_menu .= "</SELECT>\n";
+
+            $tpl_data->assign("range_menu", $range_menu);
         }
-        $range_menu .= "</SELECT>\n";
-
-        $tpl_data->assign("range_menu", $range_menu);
 
     }
Index: branches/0.4/web/addons/job_monarch/overview.php
===================================================================
--- branches/0.4/web/addons/job_monarch/overview.php	(revision 757)
+++ branches/0.4/web/addons/job_monarch/overview.php	(revision 758)
@@ -894,5 +894,6 @@
         {
             $rjqj_end = time();
-            $rjqj_graphargs .= "&period_start=$rjqj_start&period_stop=$rjqj_end";
+            $rjqj_title = rawurlencode( makeTime( ($rjqj_end - $rjqj_start) ) );
+            $rjqj_graphargs .= "&period_start=$rjqj_start&period_stop=$rjqj_end&t=$rjqj_title";
         }
         else
@@ -983,27 +984,4 @@
     {
         $tpl_data->assign( "showhosts", "yes" );
-
-        # Present a width list
-        $cols_menu     = "<SELECT NAME=\"hc\" OnChange=\"toga_form.submit();\">\n";
-
-        $hostcols     = ($hc) ? $hc : 4;
-
-        foreach( range( 1, 25 ) as $cols ) 
-        {
-            $cols_menu    .= "<OPTION VALUE=$cols ";
-
-            if ($cols == $hostcols)
-            {
-                $cols_menu    .= "SELECTED";
-            }
-            $cols_menu    .= ">$cols\n";
-        }
-        $cols_menu     .= "</SELECT>\n";
-
-        $tpl_data->assign( "metric","$metricname $units" );
-        $tpl_data->assign( "id", $filter['id'] );
-
-        # Host columns menu defined in header.php
-        $tpl_data->assign( "cols_menu", $cols_menu );
 
         $showhosts     = isset($sh) ? $sh : $default_showhosts;
Index: branches/0.4/web/addons/job_monarch/templates/overview.tpl
===================================================================
--- branches/0.4/web/addons/job_monarch/templates/overview.tpl	(revision 757)
+++ branches/0.4/web/addons/job_monarch/templates/overview.tpl	(revision 758)
@@ -234,10 +234,4 @@
   no<INPUT type=radio name="sh" value="0" OnClick="toga_form.submit();" {$checked0}>
   </FONT>
-  |
-  job <strong>{$id}</strong> metric <strong>{$metric}</strong>
-  |
-   <FONT SIZE="-1">
-   Columns&nbsp;&nbsp;{$cols_menu}
-   </FONT>
   </TD>
 </TR>